/// <reference path="../ContentMarker.ts" />
/**
 * CHEAT SHEET FOR FUCKING MARKERS
 *
 * Mandatory if present - These may all appear at once or separatedly! Multiples is always rarer, so you can get away with less descriptions
 * FuckingState.CUM_START
 * FuckingState.CUMMING
 * FuckingState.CUM_END
 *
 * Mandatory if present - these always accompany the ones above, they never appear without at least one of the ones above. They might be both at once, but very few enemies do that so always check the enemy first
 * FuckingState.CUM_INSIDE
 * FuckingState.CUM_OUTSIDE
 *
 * Mandatory if present - These may all appear at once or separatedly! Multiples is always rarer, so you can get away with less descriptions
 * FuckingState.PENETRATING
 * FuckingState.REMOVING
 */

class FuckingStyle extends ContentMarker {
    public static GENTLE = new FuckingStyle("Gentle");
    public static ROUGH = new FuckingStyle("Rough");
}

class FuckingState extends ContentMarker {
    public static PENETRATING = new FuckingState("Penetration Start", true);
    public static REMOVING = new FuckingState("Removing Stick", true);
    public static SPEEDING_UP = new FuckingState("Speeding up",true);
    public static CUM_START = new FuckingState("Started Cumming", true);
    public static CUMMING = new FuckingState("Cumming", true);
    public static CUM_END = new FuckingState("Finished Cumming", true);
    public static CUM_INSIDE = new FuckingState("Cum Inside", true);
    public static CUM_OUTSIDE = new FuckingState("Cum Outside", true);
}